Генератор ссылок на мессенджеры для сайта: Telegram, MAX, WhatsApp, tel и mailto
Выберите канал, введите ник или номер в любом виде, и готовая ссылка с HTML-кодом появится сразу. Номер с восьмёркой, скобками и пробелами приводится к формату +7. Инструмент сделал Николай Поляков, SEO-специалист из Нижнего Новгорода.
Бот получит метку при запуске. Латиница, цифры, _ и -, до 64 символов.
Бот получит метку при запуске, до 128 символов. Формат описан в документации MAX для разработчиков.
Формат max.ru/<ник> подходит для публичного ника, бота или канала. У личных профилей без ника ссылка выглядит как max.ru/u/<хеш> и берётся в приложении. Собрать ссылку на MAX из номера телефона нельзя. Где взять ссылку в приложении MAX
Кнопка открывает выбор чата, куда посетитель отправит ссылку и текст.
Текст ссылки что увидит посетитель
Ссылка на WhatsApp с текстом, Telegram в двух форматах, мессенджер MAX, tel и mailto — создавайте валидные HTML-ссылки для связи без ошибок в синтаксисе, с автоматическим кодированием текста и очисткой телефонных номеров.
Как пользоваться генератором?
Форматы ссылок на мессенджеры
Генератор собирает ссылки только по официальным форматам. Ниже шпаргалка: что открывает каждый адрес и где он описан. Проверено 02.10.2026.
| Формат | Что открывает | Источник |
|---|---|---|
t.me/<ник>?text=… | чат, канал или группу по публичному нику; текст подставляется в поле сообщения | документация Telegram |
t.me/+<номер> | чат по номеру телефона, если Telegram найдёт пользователя по этому номеру | документация Telegram |
t.me/<бот>?start=<метка> | бота с меткой источника: латиница, цифры, _ и -, до 64 символов; имя бота заканчивается на bot | документация ботов Telegram |
tg://resolve?domain=<ник> | приложение Telegram напрямую, без браузера; без установленного приложения не сработает | документация Telegram |
t.me/share/url?url=…&text=… | окно «Поделиться» в Telegram со ссылкой и текстом | виджет Share Telegram |
wa.me/<номер>?text=… | чат WhatsApp; номер в международном формате без «+», скобок, дефисов и нулей в начале | справка WhatsApp |
wa.me/?text=… | список контактов, чтобы отправить готовый текст | справка WhatsApp |
max.ru/u/<хеш> | профиль в MAX; ссылку выдаёт приложение через QR-код, из номера телефона её не собрать | как взять ссылку на профиль, канал или бота в приложении MAX |
max.ru/<бот>?start=<метка> | бота MAX с меткой источника до 128 символов; MAX для iOS с версии 2.7.0, для Android с 2.9.0 | документация MAX для разработчиков |
max.ru/:share?text=… | экран «Отправить в MAX» с готовым текстом; iOS, Android и веб-версия, на компьютерах пока нет | документация MAX для разработчиков |
tel:+7…, sms:+7…?body=…, mailto:…?subject=… | звонок, SMS с текстом, письмо с темой | RFC 3966, RFC 5724, RFC 6068 |
Где взять каждую ссылку в приложении и когда она не сработает, разобрано в инструкциях «Ссылка на Telegram» и «Ссылка на MAX».
Ссылка на бота с меткой источника
Метка в параметре start работает для бота так же, как UTM-метка для сайта. Бот получает её вместе с командой запуска, и по ней видно, откуда пришёл человек: из шапки сайта, из рассылки или с визитки. В Telegram метка состоит из латиницы, цифр, _ и -, до 64 символов. В MAX метка длиной до 128 символов. Учитывает её только бот, который сохраняет это значение, поэтому договоритесь о метках с тем, кто его настраивал.